Distribution:   CCux-Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		recode
Summary:        Converter between charsets and surfaces
Version:	3.6
Release:	2
Provides:	%{name}
License:	GPL/LGPL
URL:		http://pinard.progiciels-bpi.ca/
Group:		Text Tools
Source0:	%{name}-%{version}.tar.gz
Patch0:		recode-reduce-3,6-ignore-type-size.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Requires:	

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
The recode library converts files between character sets and usages.
It recognises or produces more than 300 different character sets
and transliterates files between almost any pair.  When exact
transliteration are not possible, it gets rid of offending characters
or fall back on approximations.  The recode program is a handy
front-end to the library.
 
%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/recode.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/recode.info.gz %_infodir/dir
fi

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p2

%build
./configure \
--prefix=%_prefix \
--libdir=%_libdir \
--infodir=%_infodir \
--mandir=%_mandir \
--includedir=%_includedir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# removing of %_infodir/dir
rm -f $RPM_BUILD_ROOT%_infodir/dir
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/recode
%{_libdir}/librecode.so.*
%{_infodir}/recode.info-1.gz
%{_infodir}/recode.info-2.gz
%{_infodir}/recode.info-3.gz
%{_infodir}/recode.info-4.gz
%{_infodir}/recode.info-5.gz
%{_infodir}/recode.info-6.gz
%{_infodir}/recode.info-7.gz
%{_infodir}/recode.info.gz
%{_locale}/*/LC_MESSAGES/recode.mo

%files devel
%defattr(-,root,root)
%{_includedir}/recode.h
%{_includedir}/recodext.h
%{_libdir}/librecode.a
%{_libdir}/librecode.la
%{_libdir}/librecode.so
%{_mandir}/man1/recode.1.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.6-2
- patched ignore type size
* Fri Aug 24 2007 Christian Wasem <wasem@ccux-linux.de> 3.6-1
- Initial Release 
